
/****************************************************************************************************************************************
/* Interficie que cont tots els mtodes de l'aplicaci principal que utilitzara la interficie grfica final.
 * Hereta de InterficieAplicacio
 *****************************************************************************************************************************************/


using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Collections;


namespace PFC.Aplicacio_
{
    interface InterfaceAplicacioPrincipal : InterfaceAplicacio
    {


//******************************Operacions de lectura comandes i linees**********************************************


        //******************************Retorna la comanda actual de la taula passada per parmetre************************
         Comanda obtenirComandaActual(Taula t);

        //******************************Retorna totes les comandes de la BD************************
         IList obtenirComandes();

        //******************************Retorna la comanda actual de la taula passada per parmetre************************
         IList obtenirLineasComanda(Comanda c);

        //******************************Retorna totes les linees comanda de la BD************************
         IList obtenirLineasComanda();

         //******************************Retorna totes les linees comanda de cuina de la BD************************
        IList obtenirLineasCuina(Comanda c);

         //******************************Retorna totes les linees comanda de barra de la BD************************
        IList obtenirLineasBarra(Comanda c);

         //******************************Retorna totes les linees comanda de bodega de la BD************************
        IList obtenirLineasBodega(Comanda c);
        //******************************Retorna totes les linees comanda de postres  de la BD************************
        IList obtenirLineasPostres(Comanda c);
         //******************************Retorna una linea de comanda************************
         LineaComanda obtenirLineaComanda(int comanda,int producte,string nota,string preferencia);


 //******************************Operacions de escriptura comandes i linees**********************************************

        //******************************Guardem i/o modifiquem la comanda passada per parmetre************************
         bool guardarComanda(Comanda c);

        //******************************Eliminem la comanda passat per parmetre************************
         bool eliminarComanda(Comanda c);

        //******************************Guardem la lineacomanda a la bd************************
         bool guardarLineaComanda(LineaComanda l);

        //******************************Eliminem la lineacomanda passada per parmetre************************
         bool eliminarLineaComanda(LineaComanda l);

         //******************************Mira si existeix una linea comanda amb els parmetres idComanda , idProducte************************
        bool existeixLinea(int idComanda, int idProducte,string nota,string preferencia);
    }
}

