/****************************************************************************************************************************************
/* Implementa InterfaceAplicacioAdministracio
 *****************************************************************************************************************************************/


using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using System.IO;
using PFC.gestorAplicacio;

namespace PFC.Aplicacio_
{
    class AplicacioAdministracio:Aplicacio,InterfaceAplicacioAdmin
    {
        gestorAplicacioAdministracio gA = new gestorAplicacioAdministracio();
       

/****************************************************************************************************************************************
/* Implementaci de tots els mtodes de la aplicaci de administraci
*****************************************************************************************************************************************/

        //******************************Guardem i/o modifiquem el producte passat per parmetre************************
        public bool guardarProducte(Producte p)
        {
            return gA.setProducte(p);
        }

        //******************************Eliminem el producte passat per parmetre************************
        public bool eliminarProducte(Producte p)
        {
            return gA.eliminaProducte(p);
        }


        //******************************Guardem i/o modifiquem el grup producte passat per parmetre************************
        public bool guardarGrupProducte(GrupProducte gp)
        {
            return gA.setGrupProducte(gp);
        }

        //******************************Eliminem el Grupproducte passat per parmetre************************        //Si el grup te productes associats ,primer eliminem els productes, i si els productes estan en alguna linea

        public bool eliminarGrupProducte(GrupProducte p)
        {
            return gA.eliminaGrupProducte(p);
        }


              
        //******************************Guardem i/o modifiquem el cambrer passat per parmetre************************
        public bool guardarCambrer(Cambrer c)
        {
            return gA.setCambrer(c);
        }

        //******************************Eliminem el cambrer passat per parmetre************************
        public bool eliminarCambrer(Cambrer c)
        {
            return gA.eliminaCambrer(c);
        }


        //******************************Guardem i/o modifiquem la taula passada per parmetre************************
        public bool guardarTaula(Taula t)
        {
            return gA.setTaula(t);
        }

        //******************************Eliminem la taula passada per parmetre************************
        public bool eliminarTaula(Taula t)
        {
            return gA.eliminaTaula(t);
        }

        //******************************Guardem i/o modifiquem la nota passada per parmetre************************
        public bool guardarNota(NotesAdicionals t)
        {
            return gA.setNota(t);
        }

        //******************************Eliminem la nota passada per parmetre************************
        public bool eliminarNota(NotesAdicionals t)
        {
            return gA.eliminaNota(t);
        }



        //******************METODES AUXILIARS***************************
        public void guardaImatge(String origen, String desti)
        {

            if (File.Exists(origen) && (!origen.ToUpper().Equals(desti.ToUpper())))
                File.Copy(origen, desti, true);
          
               
           
        }
    }
}