using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Collections.ObjectModel;
using System.ComponentModel;


namespace PFC
{
    public class Comanda
    {
        /// Attributes

        private DateTime data;
        private int id;
        private String estat;
        private IList lineas;
        private Taula taula;
        private decimal preu;
        private decimal preuModificat;
        private IList pagaments;

        //Constructor
        public Comanda()
        {
            lineas = new List<LineaComanda>();
            pagaments = new List<Pagament>();

        }
        
        /// Operations
        
        public int Id
        {
            get { return id; }
            set { id = value; }
        }

        public DateTime Data
        {
            get { return data; }
            set{ data=value;}
        }

        public String Estat 
        {
            get { return estat; }
            set { estat = value; }
        }

        public IList Lineas
        {
            get { return lineas; }
            set { lineas = value; }
        }

       public IList Pagaments
        {
            get { return pagaments; }
            set { pagaments = value; }
        } 

        public Taula Taula
        {
            get { return taula; }
            set { taula = value; }
        }


        public decimal Preu
        {
            get { return preu; }
            set { preu = value; }
        }

        public decimal PreuModificat
        {
            get { return preuModificat; }
            set { preuModificat = value; }
        }
    }
}

