/***********************************************************************************************************************
   Aquesta classe s el pare de tots els controladors. s la classe que ens permet obtenir una factoria de sessions
   d' on es crearan aquestes. Est implementat simulant un pool de conexions,on s'intenta no obrir per cada mtode
   que accedeixi a la BD una nova sessi. Aixi evitem els temps de creaci de conexi i problemes de concurrncia.
    *********************************************************************************************************************/

using System;
using System.Collections;
using System.Text;
using NHibernate;
using NHibernate.Cfg;
using System.Windows.Forms;
using NHibernate.Expression;
using NHibernate.Id;


namespace PFC.Controller
{
   
    public  class Controlador
    {
       static protected ISessionFactory factory; //El factory ser compartit per tota l'aplicaci
       static protected ISession session ; //Sessi diferent per cada instancia de classe
       static Configuration cfg; //Tamb pot ser compartida per l'aplicaci sencera, cap problema..
       

            
    public  void Inicialitzacio(){ //Noms es cridar un cop per aplicaci..

        try
        {
            cfg = new Configuration();
            cfg.AddAssembly("PFC");

            factory = cfg.BuildSessionFactory();
            session = factory.OpenSession(); //Sessi diferent per cada instancia de classe
        }
        catch (Exception) { throw new Exception(); }
     }

    public void ReconnectSession()
    {
        session.Flush();
        session.Close();
        session = factory.OpenSession(); 
    }

    public void liberateSession()
    {
         session.Flush(); //Guardem tot el que no estigui guardat
         session.Disconnect(); //I ens desconectem de la sessi , pero no la tanquem!!
        
    }

      

        
    }
}
