using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using PFC.Aplicacio_;
using MySql.Data;

namespace PFC
{
    public partial class ConfigConnexio : Form
    {
       
        XmlDocument config=null;
        XmlNodeList nadd = null;
        String cadenaConnexio = "";

        public ConfigConnexio()
        {
            InitializeComponent();
            
         
        }
        
        private void connexio_Load(object sender, EventArgs e)
        {
            
            config = new XmlDocument();
            //config.Load("c:\\Restaural\\PFC\\ConfigPersistencia\\App.config");
            config.Load(Environment.CurrentDirectory + "\\PFC.exe.config");
            XmlNodeList node = config.GetElementsByTagName("configuration");
            XmlNodeList node2 = ((XmlElement)node[0]).GetElementsByTagName("nhibernate");
            foreach (XmlElement node3 in node2)
           {
                nadd = node3.GetElementsByTagName("add");
                
                cadenaConnexio = ((XmlElement)nadd[3]).GetAttribute("value");
                
            }

           String[] valors= cadenaConnexio.Split('=',';'); //Busquem el el contingut de la cadena de conexio per poder configurar-la
           textBox1.Text = valors[1];
           textBox2.Text = valors[5];
           textBox3.Text = valors[7];
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String novaCadena = "Server=" + textBox1.Text + ";Database=projecte;User ID=" + textBox2.Text + ";Password=" + textBox3.Text + ";";
           DialogResult d= MessageBox.Show("Al aplicar aquests canvis l'aplicaci s'haur de reiniciar.\n Vols continuar?", "Atenci", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
           if (d.ToString() == "OK")
           {
               
               
               
               
                   MySql.Data.MySqlClient.MySqlConnection c = new MySql.Data.MySqlClient.MySqlConnection(novaCadena);
                   try
                   {
                       c.Open();
                       ((XmlElement)nadd[3]).SetAttribute("value", novaCadena);
                       config.Save(Environment.CurrentDirectory + "\\PFC.exe.config");
                      // config.Save("c:\\Restaural\\PFC\\ConfigPersistencia\\App.config");
                       Application.Exit();
                   }
                   catch (Exception)
                   {
                       MessageBox.Show("Els nous valors de configuraci no son correctes, no s'ha obtingut connexi a la base de dades", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                   }
                   
             

               
              
               
           }

           
        }
    }
}