using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PFC.Aplicacio_;
using System.IO;

namespace PFC
{
    public partial class Cobrar : Form
    {
        decimal total;
        public String cobrat = null;
        public TipusPagament tipus = null;
        AplicacioPrincipal aplicacio;
       
        
        
        public Cobrar(decimal tot,Object o)
        {
            
            InitializeComponent();
            total = tot;
            aplicacio = (AplicacioPrincipal)o;
            
        }

        private void cobrar_Load(object sender, EventArgs e)
        {
            
            String item = "";
            textBox1.Text = total + " ";
           IList i =  aplicacio.obtenirTipusPagaments(); //Obtenim els tipus d pagaments disponibles
            foreach(TipusPagament t in i)
            {
                item =Convert.ToString(t.Id) + "-" + (String)t.Descripcio;
                comboBox1.Items.Add(item);
                
            }

                        
        }


        /*****************************TECLAT NUMRIC*****************************************/
        private void button7_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "1";
        }

        private void button8_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "2";
        }

        private void button9_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "3";
        }

        private void button10_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "4";
        }

        private void button11_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "5";
        }

        private void button12_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "6";
        }

        private void button13_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "7";
        }

        private void button14_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "8";
        }

        private void button15_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "9";
        }

        private void button17_Click(object sender, EventArgs e)
        {
            textCalculadora.Clear();
          
        }

        private void button16_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "0";
        }

        private void button18_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + "00";
        }

        private void button19_Click(object sender, EventArgs e)
        {
            textCalculadora.Text = textCalculadora.Text + ",";
           
        }
        private void button17_Click_1(object sender, EventArgs e)
        {
            textCalculadora.Clear();
            textBox2.Clear();
            
        }


        //Cada cop que hi hagi un nou numero, es recalcular el canvi.
        private void textCalculadora_TextChanged(object sender, EventArgs e)
        {
            if (textCalculadora.Text != "")
            {
                decimal entregat = Convert.ToDecimal(textCalculadora.Text);
                decimal canvi = 0;

                if (entregat >= total)
                {
                    canvi = entregat - total;
                    textBox2.Clear();
                    textBox2.Text = Convert.ToString(canvi);
                }
            }
           
        }

      

        //Al donar-li al bot Ok retornem l'estat del cobrament, pot ser que hagi estat cobrat o no
        private void button4_Click(object sender, EventArgs e)
        {
            if ((textCalculadora.Text == "") || (textCalculadora.Text == "0")) //Vol dir que no m'han pagat
            {
                cobrat = "KO";
                DialogResult d= MessageBox.Show("Aquest compte quedar com a pendent i es podr gestionar desde l'apartat d'administraci. \nVols continuar?", "Avs", MessageBoxButtons.OKCancel, MessageBoxIcon.Exclamation);
                if(d.ToString()=="OK")
                Close();
            }
            else if (textBox2.Text == "") //Si no hi ha res a la casella de canvi es que m'han de donar un valor igual o superior a l'import a pagar
                MessageBox.Show("La cantitat de diners rebuda ha de ser igual o superior a l'import a pagar", "Avs", MessageBoxButtons.OK, MessageBoxIcon.Information);
            else //tot correcte
            {
                cobrat = "OK";
                
                Close();

            
            }

               
        }

        //But cancellar
        private void button5_Click(object sender, EventArgs e)
        {
            cobrat = null; //PEr saber que hem sortit amb cancellar
            Close();
           
        }

      

        private void comboBox1_SelectionChangeCommitted(object sender, EventArgs e)
        {
            if (((String)comboBox1.SelectedItem).Contains("1")) //Metllic
              
            {
                panel1.Visible = false;
                tipus=aplicacio.obtenirTipusPagament(1);
                
            }
        }


      
        }

        


    }
