using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using PFC.Aplicacio_;
using System.IO;

namespace PFC
{
    public partial class postres : Form
    {
        AplicacioPrincipal aplicacio;
        AplicacioAdministracio apl = new AplicacioAdministracio();//El farem servir per guardar el producte nomes
        GrupProducte g= new GrupProducte();
        public  decimal import = 0;
        public string nomPostre="";

        public postres(Object o)
        {
            InitializeComponent();
            aplicacio = (AplicacioPrincipal)o;
            g=aplicacio.obtenirGrupProducte("Postres");
        }

        private void postres_Load(object sender, EventArgs e)
        {
            String ruta = "";
            IList i = g.Productes;
            Image imatge = null;
            int cont = 0;
                  
                  foreach (Producte p in i)
                  {
                      ruta = aplicacio.rutaImatges + p.Nom + ".jpg";
                      if (p.Disponible) //Noms els disponibles es mostraran
                      {
                          if (File.Exists(ruta)) //Si hi ha imatge d'aquest producte
                          {
                              imatge = new Bitmap(ruta);


                          }
                          else
                          {
                              imatge = new Bitmap(aplicacio.imatgeNoDisponible);
                          }
                          imageList1.Images.Add(imatge);
                          listView1.Items.Add(p.Nom.ToUpper(), cont);
                          cont++;
                      }
                  }
        }

        private void listView1_ItemActivate(object sender, EventArgs e)
        {
            string entrada = listView1.SelectedItems[0].Text;
            if(labelPostre.Text=="") //Si encara no hi ha cap producte
            labelPostre.Text = entrada+" ";
            else
            labelPostre.Text = labelPostre.Text+"+ "+entrada +" " ;

            //Calcula l'import del postre
            import = import + aplicacio.obtenirProducte(entrada).Preu;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            import = 0;
            Close();
        }

        //But OK,crea el postre si no existeix i el guarda a la BD com a producte nou
        private void button1_Click(object sender, EventArgs e)
        {
            nomPostre = labelPostre.Text;
            Producte prod = null;
            
            if (aplicacio.obtenirProducte(nomPostre) == null) //Aixo passa quant s un postre encara no donat d'alta
            {
                prod = new Producte();
                prod.Grup = aplicacio.obtenirGrupProducte("Postres");
                prod.Nom = nomPostre;
                prod.Disponible = true;
                prod.Preu = import;
                apl.guardarProducte(prod);

            }
           
            Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            labelPostre.Text = "";
        }
    }
}