using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using PFC.Aplicacio_;

namespace PFC
{
    public partial class Form1 : Form
    {
        Aplicacio aplicacio;
        public Form1()
        {
            InitializeComponent();
            aplicacio = new AplicacioPrincipal();
            aplicacio.IniciarAplicacio();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            administracio admin = new administracio();
            admin.Show(); 
           
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
           Frontal_Barra barra;
           Frontal_Barra800 barra800;

           if (SystemInformation.PrimaryMonitorSize.Width == 800) //Resolucio de 800x600 normalment
           {
               barra800 = new Frontal_Barra800(aplicacio);
               barra800.Show();
           }
           else //normalment sera 1024 o superior
           {
               barra = new Frontal_Barra(aplicacio);
               barra.Show();
           }

        }

        private void button3_Click(object sender, EventArgs e)
        {
            EleccioTerminal terminal = new EleccioTerminal(aplicacio);

            terminal.Show();
        }

       

        private void button4_Click(object sender, EventArgs e)
        {
            ConfigConnexio c = new ConfigConnexio();
            c.Show();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Frontal_PDA pda = new Frontal_PDA(aplicacio);
            pda.Show();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
        }

        
    }
}