using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PFC.Aplicacio_;

namespace PFC
{
    public partial class LogginCambrer_PDA : Form
    {
        AplicacioPrincipal aplicacio;
        public Cambrer cambrer;
       

        public LogginCambrer_PDA(Object o) {
            
            aplicacio = (AplicacioPrincipal)o;
            InitializeComponent();
            carregaCambrers();
            button1.Enabled = false;
        }

//****************METODES PER CARREGAR DADES ALS  COMPONENTS CORRESPONENTS*******

        public void carregaCambrers()
        {
           IList i= aplicacio.obtenirCambrers();
           foreach (Cambrer c in i)
               comboBox1.Items.Add(c.Id+" "+ c.Nom + " " + c.Cognoms);
            
        }

        //Quan seleccionem un cambrer del combobox
        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            int id =Convert.ToInt32(((String)comboBox1.SelectedItem).Substring(0, 1));
            cambrer = aplicacio.obtenirCambrer(id);
            comboBox1.Text =cambrer.Id+" "+ cambrer.Nom + " " + cambrer.Cognoms;
            button1.Enabled = true;
        }

        //But OK, comprova que el password sigui el correcte corresponent al cambrer escollit
        private void button1_Click(object sender, EventArgs e)
        {
            if (cambrer.Password == null) cambrer.Password = ""; //Passem el null a espai en blanc..
            if (cambrer.Password == textBox1.Text)
            { //Correspon el password al cambrer
                this.Close();

            }
            else MessageBox.Show("LOGGIN INCORRECTE!", "ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

        //But per sortir de l'aplicaci
        private void button2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

       

      
    }
}